Jump to content
BTP

MODO Drum 1.5 SE $39.99 at APD (3 new kits)

Recommended Posts

50 minutes ago, User 905133 said:
  • Some questions that MIGHT help:
    • Does the Product Manager say you need to update your MODO DRUM 1 kits?
    • Does it say you need to update your MODO DRUM 1 software release [what some call software engine]?
    • Does it say you need to update both?
    • What release doe your MODO DRUM 1 have?
  • If you have software version 1.5 for MODO DRUM 1 and Product Manager says to update the kits but you can't, contact IK Support.

 

1.  If you were looking at this in your IKPM, what would you think?

I think they need updating is what it says.

image.png.a6e2a66217e2cb54fb64a09ba3624ffd.png

 

2.  Again, if this is what you were looking at in your IKPM, what would you think?

I know I have the newest version, up to date!

3. After looking at my screen shots, what do you think?

image.png.be98f799e38d0ee4b663f71cf7bd883d.png

4. Again, look at my screen shots of my IKPM. What you think? It tells me I got 1.5.0

The last of your suggestions, contacting support, is my only shot. 

But my whole point was "IK, really? You serious? You want me to buy the new product, then charge me to d/l the updates for my old kits? Seriously?"

That should have been included in the 1.5 update package. Nobody at IK thought of this? And they wonder why Larry keeps ragging on them!!

BTW, my new kits haven't expired yet. I can d/l those.

  • Sad 1

Share this post


Link to post
Share on other sites
1 hour ago, LAGinz said:

wonder if those old kits do need updating though or whether it’s just a mistake

I thought of this too. But contacting support is the only real way to find out anything.

Share this post


Link to post
Share on other sites
Posted (edited)

It means they should comp you on an upgrade to TOTAL STUDIO MAX 3.5 so you get them all for another 180 days.  😜   Seriously though, I have one MODO DRUM that expired and one that didn't (73 days left, I think) in addition to the MODO DRUM SE 1.5 from May.   Thanks for the snapshots, I will try to compare with what I have.

Also, based on the posts from people who heard from support saying they are aware of the issue, I think it would be good to give IK support a summary of your symptoms so when they have a solution your will be on the list to get it from them.  I don't think this is intentional. 

Based on a preliminary look at your screenshots, I'm guessing its an issue on their end.  I am wondering if there's a way to tell if you have the updated kits.  Perhaps the presence of (or absence of ) the 2022 cymbals that Jerry mentioned can be used to tell if the kits really need to be updated.  Just a guess, but I will look at what 2022 cymbals I have just in case it helps sort this out.  

Edited by User 905133

Share this post


Link to post
Share on other sites
Posted (edited)

If you install MODO DRUM 1.1.3, you’ll get all the original drum kits.  When it upgrades to 1.5, it uninstalls 1.13 and with it the drum kits.  If you start from scratch, install 1.1.3, copy off the drum kits, install 1.5, and then copy them back afterwards, it should work (theoretically—I haven’t done so yet).

Update: the above is the case with Mac but not with Windows (you can just upgrade directly).

Edited by ALC

Share this post


Link to post
Share on other sites
59 minutes ago, User 905133 said:

It means they should comp you on an upgrade to TOTAL STUDIO MAX 3.5 so you get them all for another 180 days.  😜

I got a good laugh out of that one!!

 

1 hour ago, User 905133 said:

I don't think this is intentional. 

I don't either. But it definitely is an issue they didn't think about!

 

1 hour ago, User 905133 said:

I am wondering if there's a way to tell if you have the updated kits.

Everything is playing as expected in MODO Drums. All the new kits, all the old kits. 

 

1 hour ago, User 905133 said:

Perhaps the presence of (or absence of ) the 2022 cymbals that Jerry mentioned

How to tell? Where to look?

 

41 minutes ago, ALC said:

When it upgrades to 1.5, it uninstalls 1.0 and with it the drum kits.

But I still have access to all my kits. As far as I can tell, nothing was removed with the new install.

  • Like 2

Share this post


Link to post
Share on other sites
1 hour ago, User 905133 said:

Perhaps the presence of (or absence of ) the 2022 cymbals

I found them. They are there. And they are playing.

So maybe no update is required and it's just a IKPM glitch? No... not the PM!!

  • Like 3

Share this post


Link to post
Share on other sites
Posted (edited)
36 minutes ago, Grem said:

But I still have access to all my kits. As far as I can tell, nothing was removed with the new install.

I forget if that was on Windows or Mac.  One or the other.  Are you on Windows?

But if you're needing to download the kits and they've expired, you can get them from the 1.1.3 installer.

Edited by ALC

Share this post


Link to post
Share on other sites
Posted (edited)

@Grem  Glad to hear that you found the 2022 cymbals. I listened to a bunch of them and I prefer some of the new ones to what they have as the default cymbals.  Its nice that we have all the customization options.

BTW, I agree with your conclusions.  

Edited by User 905133
swapped misplaced words
  • Like 1

Share this post


Link to post
Share on other sites

3-month download expiration is ridiculous in this day and age.

  • Like 2

Share this post


Link to post
Share on other sites

The "updated" kits seems rather random, and also coincidental given they had to sort out the IKPM to recognise the new SE purchase.

I assume it's an error, but as you say it would be good to know.  I'll ask support.

  • Like 1

Share this post


Link to post
Share on other sites
2 hours ago, jerrydf said:

The "updated" kits seems rather random, and also coincidental given they had to sort out the IKPM to recognise the new SE purchase.

I assume it's an error, but as you say it would be good to know.  I'll ask support.

I’m asking too…

  • Like 1

Share this post


Link to post
Share on other sites
13 hours ago, ALC said:

If you install the lastest MODO DRUM 1.0 version, you’ll get all the original drum kits.  When it upgrades to 1.5, it uninstalls 1.0 and with it the drum kits.  If you can reinstall 1.0, copy off the drum kits, install 1.5, and then copy them back afterwards, it should work (theoretically—I haven’t done so yet).

screw that. i ain't wasting time doing that. i will sit and wait until next GB to get full versions.

  • Like 2
  • Great Idea 1
  • Haha 1

Share this post


Link to post
Share on other sites
On 7/28/2022 at 12:29 PM, kitekrazy said:

 I got the Izotope verb. 

This was suppose to go in the PA thread.  But I did get the SE to have all of the kits.   I rarely use drums and I know people like Toontrack but I would think these and what's in Komplete should suffice because the licensing is better if you have more than 2 machines.

Share this post


Link to post
Share on other sites
1 hour ago, kitekrazy said:

This was suppose to go in the PA thread.

I got a good laugh out of it. It was a good "off the cuff" remark I thought!

 

5 hours ago, jerrydf said:

I'll ask support.

 

2 hours ago, LAGinz said:

I’m asking too…

 Add me in there too!!

Share this post


Link to post
Share on other sites
1 hour ago, kitekrazy said:

This was suppose to go in the PA thread. 

Made sense it was the wrong thread but still cracked me up for a good 15 minutes 😂 

I was getting frustrated trying to update my 1.0 modo drum in PM and when I saw that random post it made me laugh so hard I forgot about it for a while which was great :)

  • Like 1

Share this post


Link to post
Share on other sites

Well, my GAS was itching to get these 3 extra kits, but then I realized that as rarely as I ever open MODO Drum, I can probably live without the upgrade...

But if MODO is your go-to drum plugin, then it's probably worth the hassle to get this sorted out with support.

Share this post


Link to post
Share on other sites
Posted (edited)

 

On 7/29/2022 at 8:31 PM, Grem said:

But I still have access to all my kits. As far as I can tell, nothing was removed with the new install.

I just tested it on Windows, and you're right, upgrading from MODO DRUM 1.1.3 leaves the drum kits intact.  So, on Windows, if your drums kits are missing (and you had MODO DRUM 1), try uninstalling MODO DRUM,  installing MODO DRUM 1.1.3 (https://www.ikmultimedia.com/userarea/my-products/, search for MODO DRUM, click on Past Releases), and upgrading.  Of course, if your downloads still work, that's the preferred method, but if your downloads have expired, this way, you can get the kits without paying to turn on downloads.

Edited by ALC

Share this post


Link to post
Share on other sites
1 hour ago, ALC said:

 

I just tested it on Windows, and you're right, upgrading from MODO DRUM 1.1.3 leaves the drum kits intact.  So, on Windows, if your drums kits are missing (and you had MODO DRUM 1), try uninstalling MODO DRUM,  installing MODO DRUM 1.1.3 (https://www.ikmultimedia.com/userarea/my-products/, search for MODO DRUM, click on Past Releases), and upgrading.  Of course, if your downloads still work, that's the preferred method, but if your downloads have expired, this way, you can get the kits without paying to turn on downloads.

The weird thing about this though is that my old kits (and new ones) are  working, and  I even have ALL of the installers backed up. The real question is what the heck the orange update button prompt means, and why I should have to pay any more money than what I have already paid for the original Modo Drums and 1.5 SE.

  • Confused 1

Share this post


Link to post
Share on other sites
1 minute ago, LAGinz said:

The real question is what the heck the orange update button prompt means, and why I should have to pay any more money than what I have already paid for the original Modo Drums and 1.5 SE.

That's what I been saying too!! Why IK? Why!!?

I even posted this issue on the IK MODO Drum Forum to see if others are having it..

  • Like 1

Share this post


Link to post
Share on other sites
6 minutes ago, Grem said:

That's what I been saying too!! Why IK? Why!!?

I even posted this issue on the IK MODO Drum Forum to see if others are having it..

Im seeing same. I sent a note to support couple days ago.  Will let you know if they reply.

  • Thanks 1

Share this post


Link to post
Share on other sites

Please sign in to comment

You will be able to leave a comment after signing in



Sign In Now

×
×
  • Create New...